Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158049 - scanning hangs and does nothing on Epson Perfection 1260
Summary: scanning hangs and does nothing on Epson Perfection 1260
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: sane-backends
Version: 7
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-18 07:01 UTC by David Monniaux
Modified: 2008-06-17 01:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-17 01:10:23 UTC


Attachments (Terms of Use)
scanning with the plustek driver (deleted)
2005-07-01 12:01 UTC, David Monniaux
no flags Details
iscan file (deleted)
2007-12-31 11:39 UTC, Marcin Wilk
no flags Details

Description David Monniaux 2005-05-18 07:01:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031114

Description of problem:
Run xsane, select "Plustek" scanner in the dialog box (Epson Perfection 1260 can be operated with the "Plustek USB" driver), begin scanning or ask for the preview.

Nothing happens, it looks the scanning program is locked in place.

Ditto for running scanimage from the command line.

The very same scanner scans perfectly with Fedora Core 1.

Version-Release number of selected component (if applicable):
sane-backends                Relocations: (not relocatable)
sane-backends-1.0.15-9 

How reproducible:
Always

Steps to Reproduce:
1. Plug in Epson Perfection 1260 (may work for other scanners)
2. Run xsane
3. Try scanning image
  

Actual Results:  The scanner does not start, the scanning window does not show content.

Expected Results:  It should have begun scanning.

Additional info:

Comment 1 Tim Waugh 2005-05-24 12:18:30 UTC
Please try this:

SANE_DEBUG_PLUSTEK=255 scanimage >/dev/null 2>debug.log

and attach debug.log.

Comment 2 David Monniaux 2005-07-01 11:50:31 UTC
The exact same scanner works with Epson's official driver (iscan under xsane).

Comment 3 David Monniaux 2005-07-01 12:01:58 UTC
Created attachment 116238 [details]
scanning with the plustek driver

SANE_DEBUG_PLUSTEK=255 scanimage -d plustek:libusb:002:009  >/dev/null
2>debug.log

A subsequent scanning with the same command line worked.

Comment 4 Tim Waugh 2005-07-01 12:18:57 UTC
That's weird -- the log output looks like a successful scan. :-/

Comment 5 David Monniaux 2005-07-02 08:50:57 UTC
It appears that the scanner (which was able a few days ago to scan documents) no
longer works, even with Epson's driver under Windows. Makes strange noises.

Maybe "experimental" drivers broke it (I already had to get it serviced because
a broken Sane driver caused a fuse to blow up inside the scanner.)


Comment 6 Christian Iseli 2007-01-22 10:03:12 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 7 Matthew Miller 2007-04-06 15:17:58 UTC
Fedora Core 3 and Fedora Core 4 are no longer supported. If you could retest
this issue on a current release or on the latest development / test version, we
would appreciate that. Otherwise, this bug will be marked as CANTFIX one month
from now. Thanks for your help and for your patience.


Comment 8 Marcin Wilk 2007-11-13 02:42:43 UTC
epson pervection V100 photo stopped working after update on fc7 (latest packages)...
its getinng jammed after using gui frontend of iscan app or xsane... it should
do a scann or previev and nothing happens.... after few seconds a massge box
tells that scanner dosn't responds on "orders"

during boot proces there are massges like that

Nov 8 18:06:22 localhost udevd[600]: add_to_rules: invalid ATTRS operation
Nov 8 18:06:23 localhost udevd[600]: add_to_rules: invalid rule
'/etc/udev/rules.d/60_iscan.rules:60'

as many as lines in 60_iscan.rules file...

tested on user/root - same situation means its not a problem of privileges (I gues)
sane-find-scanner works fine... recognize the hardware as previously...  

i think one of that packages is responsible for the mess...

udev-113-12.fc7
libieee1284-0.2.11-1.fc7
sane-backends-libs-1.0.18-15.fc7
sane-backends-1.0.18-15.fc7
sane-frontends-1.0.14-3.fc7
libsane-hpaio-1.7.4a-6.fc7
xsane-0.994-3.fc7
xsane-gimp-0.994-3.fc7

I used avasys software:

iscan-2.3.0-1.c2/iscan-2.8.0-1.c2/iscan-2.10.0-1.c2
iscan-plugin-gt-s600-2.0.0-1.c2

way to chceck the bug... 
install fc 7 without any updates and look if scanner works...
I did that from cd since I have no dvd drive in my test comp... had to make na
update (
because dependencies of iscan packages):

libieee1284-0.2.11-1.fc7
sane-backends-libs-1.0.18-15.fc7
sane-backends-1.0.18-15.fc7
libsane-hpaio-1.7.4a-6.fc7

the scanner dosen't work but  with an old package udev-106-4.fc7.... messages
during the boot has gone :)

if somebody would do a new install from dvd without updates its possible to
check if its works but I'm sure it is...


Comment 9 Nils Philippsen 2007-11-13 09:52:27 UTC
Hi Marcin,

I've changed the product version to F7 (from FC4 test 3).

(In reply to comment #8)
> epson pervection V100 photo stopped working after update on fc7 (latest
packages)...
> its getinng jammed after using gui frontend of iscan app or xsane... it should
> do a scann or previev and nothing happens.... after few seconds a massge box
> tells that scanner dosn't responds on "orders"
> 
> during boot proces there are massges like that
> 
> Nov 8 18:06:22 localhost udevd[600]: add_to_rules: invalid ATTRS operation
> Nov 8 18:06:23 localhost udevd[600]: add_to_rules: invalid rule
> '/etc/udev/rules.d/60_iscan.rules:60'
> 
> as many as lines in 60_iscan.rules file...

This file isn't part of sane-backends (or Fedora), please attach it to the bug
report. I guess that it uses an old syntax that doesn't work with current udev
versions.

Comment 10 Marcin Wilk 2007-12-31 11:39:19 UTC
Created attachment 290572 [details]
iscan file

Comment 11 Marcin Wilk 2007-12-31 12:06:54 UTC
Hi Nils

I solve a bug by simple copying 60_iscan.rules content into 60-libsane.rules...

You are right that probably it's not a place for reporting problems with 3rd
party software like epson-avasys iscan/iscan-plugins... may mistake... but I'm a
beginner...

I have an idea how to improve fedora to avoid such stupid situations with espon
scaners (the only flatbedded devices with official Linux support from manufacturer)

Since my last post I do small research and nowadays only OpenSuse provides
iscan/iscan-plugin packages... moreover there are two versions... one closed and
one open!!!
The idea is to incorporate into fedora repos all familly of iscan-free packages
using OpenSuse experiences...

I hope you will be so kind and help to convert my thread into something like
todo in near future

I have no idea how to do that and I'm afraid of annoying somebody witch my lack
of experience 

Comment 12 Bug Zapper 2008-05-14 11:57:10 UTC
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Bug Zapper 2008-06-17 01:10:21 UTC
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.